% Funzione che mi ricostruisce la composizione della catena

function  catena = schema(idTool,conn,FileName)

text = 'Schema function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

comando = ['select nodetype_id, depth, num from nodes where tool_id = ''' idTool ''' order by num'];
catena = fetch(conn,comando);

text = 'Schema function ended';
fprintf(fileID,fmt,text);
fclose(fileID);

end
